<?php
/**
 * Defines the properties of a specific block setting.
 *
 * @package Flat101\Security\Model\Entity
 */

namespace Flat101\Security\Model\Entity;

/**
 * Block Setting Class.
 */
class Setting {

	/**
	 * Setting key.
	 *
	 * @var string
	 */
	protected $key;

	/**
	 * Setting default value.
	 *
	 * @var mixed
	 */
	public $default_value;

	/**
	 * Setting value.
	 *
	 * @var mixed
	 */
	public $value;

	/**
	 * It will be shown to the user as the setting label.
	 *
	 * @var string
	 */
	public $label;

	/**
	 * Constructor of a block setting.
	 *
	 * @param string $key Setting key.
	 * @param mixed  $default_value Setting default value.
	 * @param string $label Setting label.
	 */
	public function __construct( $key, $default_value, $label = '' ) {
		$this->key           = $key;
		$this->default_value = $default_value;
		$this->label         = $label;
	}

	/**
	 * Get setting key.
	 *
	 * @return string
	 */
	public function get_key() {
		return $this->key;
	}
}
